## python-cyclone 1.1

=== appskel/foreman/requirements.txt ===
Twisted==12.2.0
cyclone==1.0-rc13

=== debian/changelog ===
python-cyclone (1.1-2) unstable; urgency=low

  * Update and fix watch file to use simple PyPI API.
  * Update Vcs-Browser URL.
  * Switch to debhelper 9, dh-python, and pybuild.
  * Only override permissions for examples that need it. This
    should make the build reproducible.
  * Add lintian overrides for some errors triggered by examples.
  * Bump Standards-Version, no changes required.

 -- Jérémy Bobbio <lunar@debian.org>  Sat, 08 Aug 2015 23:30:16 +0200

python-cyclone (1.1-1) unstable; urgency=low

  * Initial release. (Closes: #719233)

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 15 Aug 2013 00:24:12 +0200

=== debian/control ===
Source: python-cyclone
Maintainer: Jérémy Bobbio <lunar@debian.org>
Section: python
Priority: extra
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-twisted
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
Vcs-Git: git://anonscm.debian.org/git/collab-maint/python-cyclone.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-cyclone.git
Homepage: http://cyclone.io/

Package: python-cyclone
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: web server framework for Python Twisted using the Tornado API
 Cyclone is a web server framework for Python that implements the Tornado API
 as a Twisted protocol.
 .
 Twisted is an event-driven network programming framework for Python. It’s one
 of the most mature libraries for non-blocking I/O available to the public.
 Tornado is one of the most popular and fast web servers for Python, with a
 very decent API for building web applications.
 .
 The idea is to bridge Tornado's elegant and straightforward API to Twisted's
 Event-Loop, enabling a vast number of supported protocols.
 .
 This combination provides the ground for building up hybrid servers capable of
 handling HTTP very efficiently while also serve or use email, SSH, SIP, IRC,
 etc., all concurrently.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python2 --buildsystem=pybuild

override_dh_install:
	dh_install -O--buildsystem=pybuild
	rm -f debian/python-cyclone/usr/bin/cyclone

override_dh_fixperms:
	dh_fixperms -O--buildsystem=pybuild
	chmod 644 debian/python-cyclone/usr/share/doc/python-cyclone/examples/helloworld/helloworld_simple.py
	chmod 644 debian/python-cyclone/usr/share/doc/python-cyclone/examples/ssl/helloworld_simple.py

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -f twisted/plugins/dropin.cache

override_dh_compress:
	dh_compress -O--buildsystem=pybuild -Xexamples/

=== debian/watch ===
version=3
https://pypi.python.org/simple/cyclone \
        .*/cyclone-(.+)\.tar\.gz#.*
